Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #102

add MimeType=inode/directory; to audacious.desktop
April 24, 2012 15:09 - de vries

Status: Rejected Start date: April 24, 2012
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version:

Description
I'm no able to drag folders into the audacious icon in the unity launcher. this is fixable by adding MimeType=inode/directory; to
audacious.desktop.

like this:

MimeType=inode/directory;application/ogg;application/x-cue;application/x-ogg;application/xspf+xml;audio/midi;audio/mp3;audio/mpe
g;audio/mpegurl;audio/ogg;audio/prs.sid;audio/x-flac;audio/x-it;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-
wma;audio/x-musepack;audio/x-s3m;audio/x-scpls;audio/x-stm;audio/x-vorbis+ogg;audio/x-wav;audio/x-xm;x-content/audio-cdda;

History

#1 - May 24, 2012 01:25 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.2.3

- % Done changed from 0 to 100

Added:
https://github.com/audacious-media-player/audacious/commit/b0600b53614a9f6a023017944649eae228e33945

#2 - March 08, 2014 15:08 - Michael Schwendt

What may work for Unity causes side-effects for MATE e.g.
https://bugzilla.redhat.com/1074145

If anyone knows more details about the inode/directory MIME type, please assist.

#3 - March 09, 2014 04:04 - John Lindgren

Michael Schwendt wrote:

What may work for Unity causes side-effects for MATE e.g.
https://bugzilla.redhat.com/1074145

If anyone knows more details about the inode/directory MIME type, please assist.

The side effect you bring up has been discussed already on the Arch Linux bug tracker [1] and was reported again more recently as #404. The
decision to keep inode/directory in the .desktop file, was based on the guidelines in the freedesktop.org Desktop Entry Specification [2]:

The MimeType key is used to indicate the MIME Types that an application knows how to handle. It is expected that for some applications this list
could become long. An application is expected to be able to reasonably open files of these types using the command listed in the Exec key.

There should be no priority for MIME Types in this field, or any form of priority in the desktop file. Priority for applications is handled external to
the .desktop files.
Note especially the last sentence, "Priority for applications is handled external to the .desktop files." | think the problem here is that most of the
desktop environments around have essentially no logic for determining the relative priority of different applications. Choosing Audacious because it
comes before Nautilus in the dictionary, is just stupid. As Gaetan observed on the Arch Linux bug, GNOME/MATE should at least be intelligent
enough to give priority to its own file manager when opening directories. And if it has no way to figure out which application should be the default for
other MIME-types, it should display a list of the available applications and prompt the user to pick one. That is the only sane way to solve this, in my
opinion.

As a side note, it's quite easy to change the default application, once you know how. XFCE has a nice GUI to do it. "xdg-mime default
Thunar.desktop inode/directory" (or nautilus.desktop or whatever) should work no matter what DE you use.

[1] https://bugs.archlinux.org/task/30034
[2] http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s08.html

#4 - March 09, 2014 04:06 - John Lindgren

Also possibly worth noting is that this is not specific to Audacious. On my system, EasyTag also lists inode/directory as a supported MIME-type.

#5 - March 09, 2014 12:34 - Michael Schwendt

not specific to Audacious.

Yeah, | had pointed out EasyTAG and Baobab in the Fedora ticket as well. Querying the RPM metadata in the package repositories, more are found
which are not file managers:

# repoquery --whatprovides 'mimehandler (inode/directory)' --gf '%{name}'|sort|uniqg
anjuta

audacious

baobab

cervisia
decibel-audio-player
dolphin

easytag

emelfm2
enlightenment-data
filelight

git-cola

gwenview

k4dirstat
kde—-baseapps
kdesvn

konqueror
mate-file-manager
monkeystudio
nautilus

nemo

pcmanfm

pcmanfm-gt
plasma-mobile

pogo

spacefm

Thunar

June 30, 2025 2/3


https://bugs.archlinux.org/task/30034
http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s08.html

I'm also of the opinion that simply installing a package that advertises supporting the inode/directory MIME type ought not reassign the current file
manager "automatically”.

#6 - June 28, 2018 04:14 - John Lindgren
- % Done changed from 100 to 0
- Target version deleted (3.2.3)

- Status changed from Closed to New

| removed this feature. | am just tired of fielding bug reports since none of the desktop environments have taken responsibility for fixing their
brokenness in 6 years.

This is still not a problem specific to Audacious, and the only thing that will change is that EasyTag will get all the bug reports now.

Reopening.

#7 - December 02, 2019 20:34 - John Lindgren

- Status changed from New to Rejected

Not changing any time soon. Closing.

Files

audacious.desktop 1.32 KB April 24, 2012 de vries
